<template>
    <div>
        <div class="row">
            <div class="col-sm-12 col-md-6 col-xs-12 justify-content-center d-flex" v-for="language in languages">
                <language-item class="mt-4" @item-clicked="viewLanguage(language)" :language="language"></language-item>
            </div>
        </div>
    </div>
</template>

<script>
    import LanguageItem from "./LanguageItem";

    export default {
        name: "LanguageList",
        components: {LanguageItem},
        props: {
            languages: {type: Array, required: true},

        },
        methods: {
            viewLanguage(language) {
                this.$router.push({name: 'languageView', params: {language: language, slug: language.slug}});
            }
        }
    }
</script>
